106 台北市大安區忠孝東路四段221號12樓
02-8771-7038 support@unipiece.info

WordPress 升級 4.4 的問題處理記錄

puzzle-693870_1280

Warning: array_map(): Argument #2 should be an array … /wp-includes/category-template.php on line 1158

今早將公司主網站升級至 4.4 版後,發現首頁出現了上面的錯誤訊息,在經歷一陣查詢後,找到處理方式(原文連結點這裡,在這裡分享一下,順便做個記錄 …

問題點來自於 category-template.php 中第 1144 行裡的 get_the_term 參數,先暫時用下方的原始碼覆蓋即可,這個問題,我想應該很快就會在新的更新裡解決。

//replace the existing function on line 1144 with the below
//source – https://core.trac.wordpress.org/ticket/34723

function get_the_terms( $post, $taxonomy ) { $terms = get_object_term_cache( $post->ID, $taxonomy );<br ?–> if ( false === $terms ) {
$terms = wp_get_object_terms( $post->ID, $taxonomy );
if ( ! is_wp_error( $terms ) ) {
$to_cache = array();
foreach ( $terms as $key => $term ) {
$to_cache[ $key ] = $term->data;
}
wp_cache_add( $post->ID, $to_cache, $taxonomy . ‘_relationships’ );
}
}

分享這篇~

發表迴響

你的電子郵件位址並不會被公開。 必要欄位標記為 *